Index: ruby/trunk/lib/adl_parser/test/parser_test.rb
===================================================================
--- ruby/trunk/lib/adl_parser/test/parser_test.rb	(revision 258)
+++ ruby/trunk/lib/adl_parser/test/parser_test.rb	(revision 261)
@@ -1,3 +1,2 @@
-#require 'lib/adl_parser.rb'
 require File.dirname(__FILE__) + '/test_helper.rb'
 
@@ -7,16 +6,17 @@
   end
 
-  def test_init
+  must "assert parser instance" do
     assert_instance_of ::OpenEHR::ADL::Parser,@parser
   end
 
-  def test_parse
+  must "openEHR-EHR-OBSERVATION.body_mass_index.v1.adl be properly parsed" do
     body_mass_index =  File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-OBSERVATION.body_mass_index.v1.adl")
-#    body_mass_index = File.read('test/adl/openEHR-EHR-OBSERVATION.body_mass_index.v1.adl')
     assert_nothing_raised do
       ast = @parser.parse(body_mass_index, 'openEHR-EHR-OBSERVATION.body_mass_index.v1.adl')
       assert_instance_of OpenEHR::RM::Support::Identification::Archetype_ID, ast.archetype_id
     end
-
+  end
+
+  must "openEHR-EHR-ITEM_TREE.Laboratory_request.v1.adl be properly parsed" do
     laboratory_request = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-ITEM_TREE.Laboratory_request.v1.adl")
     assert_nothing_raised do
@@ -26,5 +26,7 @@
       assert_instance_of OpenEHR::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
     end
-
+  end
+
+  must "openEHR-EHR-OBSERVATION.apgar.v1.adl be properly parsed" do
     apgar = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-OBSERVATION.apgar.v1.adl")
     assert_nothing_raised do
@@ -34,135 +36,186 @@
       assert_instance_of OpenEHR::AM::Archetype::Constraint_Model::C_COMPLEX_OBJECT, result.definition
     end
-
+  end
+
+  must "openEHR-EHR-EVALUATION.adverse.v1.adl be properly parsed" do
     evaluation = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-EVALUATION.adverse.v1.adl")
     assert_nothing_raised do
       @parser.parse(evaluation, 'openEHR-EHR-EVALUATION.adverse.v1')
     end
-
+  end
+
+  must "openEHR-EHR-ITEM_TREE.referral.v1.adl be properly parsed" do
     referral = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-ITEM_TREE.referral.v1.adl")
     assert_nothing_raised do
       @parser.parse(referral, 'openEHR-EHR-ITEM_TREE.referral.v1')
     end
-
+  end
+
+  must "openEHR-EHR-CLUSTER.exam-fetus.v1.adl be properly parsed" do
     exam_fetus = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-fetus.v1.adl")
     assert_nothing_raised do
       @parser.parse(exam_fetus, 'openEHR-EHR-CLUSTER.exam-fetus.v1')
     end
-
+  end
+
+  must "openEHR-EHR-CLUSTER.exam-uterine_cervix.v1.adl be properly parsed" do
     exam_uterine_cervix = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-uterine_cervix.v1.adl")
     assert_nothing_raised do
       @parser.parse(exam_uterine_cervix, 'openEHR-EHR-CLUSTER.exam-uterine_cervix.v1')
     end
-
+  end
+
+  must "openEHR-EHR-ACTION.imaging.v1.adl be properly parsed" do
     imaging = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-ACTION.imaging.v1.adl")
     assert_nothing_raised do
       @parser.parse(imaging, 'openEHR-EHR-ACTION.imaging.v1')
     end
-
+  end
+
+  must "openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl be properly parsed" do
     exam_nervous_system = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl")
     assert_nothing_raised do
       @parser.parse(exam_nervous_system, 'openEHR-EHR-CLUSTER.exam-nervous_system.v1')
     end
-
+  end
+
+  must "openEHR-EHR-CLUSTER.exam-generic.v1.adl be properly parsed" do
     exam_generic = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-generic.v1.adl")
     assert_nothing_raised do
       @parser.parse(exam_generic, 'openEHR-EHR-CLUSTER.exam-generic.v1')
     end
-
+  end
+
+  must "openEHR-EHR-CLUSTER.exam-generic-mass.v1.adl be properly parsed" do
     exam_generic_mass = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-generic-mass.v1.adl")
     assert_nothing_raised do
       @parser.parse(exam_generic_mass, 'openEHR-EHR-CLUSTER.exam-generic-mass.v1')
     end
-
-#     exam_generic_lymphnode = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-generic-lymphnode.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(exam_generic_lymphnode, 'openEHR-EHR-CLUSTER.exam-generic-lymphnode.v1')
-#     end
-
-#     exam_generic_joint = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-generic-joint.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(exam_generic_joint, 'openEHR-EHR-CLUSTER.exam-generic-joint.v1')
-#     end
-
-#     exam_chest = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-chest.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(exam_chest, 'openEHR-EHR-CLUSTER.exam-chest.v1')
-#     end
-
-#     exam_abdomen = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-abdomen.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(exam_abdomen, 'openEHR-EHR-CLUSTER.exam-abdomen.v1')
-#     end
-
-#     cluster_auscultation = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.auscultation.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(cluster_auscultation, 'openEHR-EHR-CLUSTER.auscultation.v1')
-#     end
-
-#     cluster_auscultation_chest = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.auscultation-chest.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(cluster_auscultation_chest, 'openEHR-EHR-CLUSTER.auscultation-chest.v1')
-#     end
-
-#     vital_signs = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-SECTION.vital_signs.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(vital_signs, 'openEHR-EHR-SECTION.vital_signs.v1')
-#     end
-
-#     summary = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-SECTION.summary.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(summary, 'openEHR-EHR-SECTION.summary.v1')
-#     end
-
-#     findings = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-SECTION.findings.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(findings, 'openEHR-EHR-SECTION.findings.v1')
-#     end
-
-#     reason_for_encounter = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-SECTION.reason_for_encounter.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(reason_for_encounter, 'openEHR-EHR-SECTION.reason_for_encounter.v1')
-#     end
-
-#     imaging = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-ITEM_TREE.imaging.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(imaging, 'openEHR-EHR-ITEM_TREE.imaging.v1')
-#     end
-
-#     instruction_referral = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-INSTRUCTION.referral.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(instruction_referral, 'openEHR-EHR-INSTRUCTION.referral.v1')
-#     end
-
-#     instruction_medication = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-INSTRUCTION.medication.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(instruction_medication, 'openEHR-EHR-INSTRUCTION.medication.v1')
-#     end
-
-#     action_referral = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-ACTION.referral.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(action_referral, 'openEHR-EHR-ACTION.referral.v1')
-#     end
-
-#     dimensions_circumference = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.dimensions.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(dimensions_circumference, 'openEHR-EHR-CLUSTER.dimensions.v1')
-#     end
-
-#     discharge = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-COMPOSITION.discharge.v1draft.adl")
-#     assert_nothing_raised do
-#       @parser.parse(discharge, 'openEHR-EHR-COMPOSITION.discharge.v1draft')
-#     end
-
-#     encounter = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-COMPOSITION.encounter.v1draft.adl")
-#     assert_nothing_raised do
-#       @parser.parse(encounter, 'openEHR-EHR-COMPOSITION.encounter.v1draft')
-#     end
-
-
-#     medication = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-ITEM_TREE.medication.v1.adl")
-#     assert_nothing_raised do
-#       @parser.parse(medication, 'openEHR-EHR-ITEM_TREE.medication.v1.adl")
-#     end
+  end
+
+  must "openEHR-EHR-CLUSTER.exam-generic-lymphnode.v1.adl be properly parsed" do
+    exam_generic_lymphnode = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-generic-lymphnode.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(exam_generic_lymphnode, 'openEHR-EHR-CLUSTER.exam-generic-lymphnode.v1')
+    end
+  end
+
+  must "openEHR-EHR-CLUSTER.exam-generic-joint.v1.adl be properly parsed" do
+    exam_generic_joint = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-generic-joint.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(exam_generic_joint, 'openEHR-EHR-CLUSTER.exam-generic-joint.v1')
+    end
+  end
+
+  must "openEHR-EHR-CLUSTER.exam-chest.v1.adl be properly parsed" do
+    exam_chest = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-chest.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(exam_chest, 'openEHR-EHR-CLUSTER.exam-chest.v1')
+    end
+  end
+
+  must "openEHR-EHR-CLUSTER.exam-abdomen.v1.adl be properly parsed" do
+    exam_abdomen = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-abdomen.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(exam_abdomen, 'openEHR-EHR-CLUSTER.exam-abdomen.v1')
+    end
+  end
+
+  must "openEHR-EHR-CLUSTER.auscultation.v1.adl be properly parsed" do
+    cluster_auscultation = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.auscultation.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(cluster_auscultation, 'openEHR-EHR-CLUSTER.auscultation.v1')
+    end
+  end
+
+  must "openEHR-EHR-CLUSTER.auscultation-chest.v1.adl be properly parsed" do
+    cluster_auscultation_chest = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.auscultation-chest.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(cluster_auscultation_chest, 'openEHR-EHR-CLUSTER.auscultation-chest.v1')
+    end
+  end
+
+  must "openEHR-EHR-SECTION.vital_signs.v1.adl be properly parsed" do
+    vital_signs = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-SECTION.vital_signs.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(vital_signs, 'openEHR-EHR-SECTION.vital_signs.v1')
+    end
+  end
+
+  must "openEHR-EHR-SECTION.summary.v1.adl be properly parsed" do
+    summary = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-SECTION.summary.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(summary, 'openEHR-EHR-SECTION.summary.v1')
+    end
+  end
+
+  must "openEHR-EHR-SECTION.findings.v1.adl be properly parsed" do
+    findings = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-SECTION.findings.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(findings, 'openEHR-EHR-SECTION.findings.v1')
+    end
+  end
+
+  must "openEHR-EHR-SECTION.reason_for_encounter.v1.adl be properly parsed" do
+    reason_for_encounter = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-SECTION.reason_for_encounter.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(reason_for_encounter, 'openEHR-EHR-SECTION.reason_for_encounter.v1')
+    end
+  end
+
+  must "openEHR-EHR-ITEM_TREE.imaging.v1.adl be properly parsed" do
+    imaging = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-ITEM_TREE.imaging.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(imaging, 'openEHR-EHR-ITEM_TREE.imaging.v1')
+    end
+  end
+
+  must "openEHR-EHR-INSTRUCTION.referral.v1.adl be properly parsed" do
+    instruction_referral = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-INSTRUCTION.referral.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(instruction_referral, 'openEHR-EHR-INSTRUCTION.referral.v1')
+    end
+  end
+
+  must "openEHR-EHR-INSTRUCTION.medication.v1.adl be properly parsed" do
+    instruction_medication = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-INSTRUCTION.medication.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(instruction_medication, 'openEHR-EHR-INSTRUCTION.medication.v1')
+    end
+  end
+
+  must "openEHR-EHR-ACTION.referral.v1.adl be properly parsed" do
+    action_referral = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-ACTION.referral.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(action_referral, 'openEHR-EHR-ACTION.referral.v1')
+    end
+  end
+
+  must "openEHR-EHR-CLUSTER.dimensions.v1.adl be properly parsed" do
+    dimensions_circumference = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.dimensions.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(dimensions_circumference, 'openEHR-EHR-CLUSTER.dimensions.v1')
+    end
+  end
+
+  must "openEHR-EHR-COMPOSITION.discharge.v1draft.adl be properly parsed" do
+    discharge = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-COMPOSITION.discharge.v1draft.adl")
+    assert_nothing_raised do
+      @parser.parse(discharge, 'openEHR-EHR-COMPOSITION.discharge.v1draft')
+    end
+  end
+
+  must "openEHR-EHR-COMPOSITION.encounter.v1draft.adl be properly parsed" do
+    encounter = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-COMPOSITION.encounter.v1draft.adl")
+    assert_nothing_raised do
+      @parser.parse(encounter, 'openEHR-EHR-COMPOSITION.encounter.v1draft')
+    end
+  end
+
+  must "openEHR-EHR-ITEM_TREE.medication.v1.adl be properly parsed" do
+    medication = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-ITEM_TREE.medication.v1.adl")
+    assert_nothing_raised do
+      @parser.parse(medication, 'openEHR-EHR-ITEM_TREE.medication.v1.adl')
+    end
   end
 end
Index: ruby/trunk/lib/adl_parser/test/scanner_test.rb
===================================================================
--- ruby/trunk/lib/adl_parser/test/scanner_test.rb	(revision 258)
+++ ruby/trunk/lib/adl_parser/test/scanner_test.rb	(revision 261)
@@ -1,8 +1,6 @@
-require 'lib/adl_parser.rb'
-#require 'lib/scanner.rb'
-require 'test/unit'
+require File.dirname(__FILE__) + '/test_helper.rb'
 
 class YaparcParserTest < Test::Unit::TestCase
-  def test_RootScanner
+  must "assert root scanner instance" do
     parser = OpenEHR::ADL::Scanner::DADL::RootScanner.new
     assert_instance_of OpenEHR::ADL::Scanner::DADL::RootScanner,parser
@@ -10,5 +8,6 @@
   end
 
-  def test_V_LOCAL_TERM_CODE_REF
+  # \[{ALPHANUM}{NAMECHAR}*\]
+  must "assert V_LOCAL_TERM_CODE_REF scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF.new
     assert_instance_of OpenEHR::ADL::Scanner::Common::V_LOCAL_TERM_CODE_REF,parser
@@ -17,5 +16,5 @@
   end
 
-  def test_V_QUALIFIED_TERM_CODE_REF
+  must "assert V_QUALIFIED_TERM_CODE_REF scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF.new
     assert_instance_of OpenEHR::ADL::Scanner::Common::V_QUALIFIED_TERM_CODE_REF,parser
@@ -26,5 +25,5 @@
   end
 
-  def test_V_STRING
+  must "assert V_STRING scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::Common::V_STRING.new
     assert_instance_of OpenEHR::ADL::Scanner::Common::V_STRING,parser
@@ -35,5 +34,5 @@
   end
 
-  def test_V_REAL
+  must "assert V_REAL scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::Common::V_REAL.new
     assert_instance_of OpenEHR::ADL::Scanner::Common::V_REAL,parser
@@ -46,5 +45,5 @@
   end
 
-  def test_V_ISO8601_DURATION
+  must "assert V_ISO8601_DURATION scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION.new
     assert_instance_of OpenEHR::ADL::Scanner::Common::V_ISO8601_DURATION,parser
@@ -56,5 +55,5 @@
   end
 
-  def test_V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN
+  must "assert V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN.new
     assert_instance_of OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_TIME_CONSTRAINT_PATTERN,parser
@@ -63,5 +62,5 @@
   end
 
-  def test_V_ISO8601_DATE_CONSTRAINT_PATTERN
+  must "assert V_ISO8601_DATE_CONSTRAINT_PATTERN scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN.new
     assert_instance_of OpenEHR::ADL::Scanner::CADL::V_ISO8601_DATE_CONSTRAINT_PATTERN,parser
@@ -70,5 +69,5 @@
   end
 
-  def test_V_ISO8601_TIME_CONSTRAINT_PATTERN
+  must "assert V_ISO8601_TIME_CONSTRAINT_PATTERN scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN.new
     assert_instance_of OpenEHR::ADL::Scanner::CADL::V_ISO8601_TIME_CONSTRAINT_PATTERN,parser
@@ -77,5 +76,5 @@
   end
 
-  def test_dadl_reserved
+  must "assert reserved words in dADL scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::DADL::RootScanner.new
     result = parser.parse('then')
@@ -86,5 +85,5 @@
   end
 
-  def test_cadl
+  must "assert reserved words in cADL scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::CADL::RootScanner.new
     assert_instance_of OpenEHR::ADL::Scanner::CADL::RootScanner,parser
@@ -97,5 +96,5 @@
   end
 
-  def test_cadl_reserved
+  must "assert other reserved words in cADL scanner is properly working" do
     parser = OpenEHR::ADL::Scanner::CADL::RootScanner.new
     result = parser.parse('then')
@@ -109,5 +108,3 @@
     assert_equal [:SYM_ORDERED, :SYM_ORDERED], result.value
   end
-
-  
 end
Index: ruby/trunk/lib/adl_parser/test/semantic_test.rb
===================================================================
--- ruby/trunk/lib/adl_parser/test/semantic_test.rb	(revision 258)
+++ ruby/trunk/lib/adl_parser/test/semantic_test.rb	(revision 261)
@@ -1,4 +1,3 @@
-require 'lib/adl_parser.rb'
-require 'test/unit'
+require File.dirname(__FILE__) + '/test_helper.rb'
 
 class ADLSemanticTest < Test::Unit::TestCase
@@ -7,5 +6,5 @@
   end
 
-  def test_init
+  must "assert adl parser instance" do
     assert_instance_of ::OpenEHR::ADL::Parser,@parser
   end
Index: ruby/trunk/lib/adl_parser/test/shell_test.rb
===================================================================
--- ruby/trunk/lib/adl_parser/test/shell_test.rb	(revision 258)
+++ ruby/trunk/lib/adl_parser/test/shell_test.rb	(revision 261)
@@ -1,4 +1,3 @@
-require 'lib/adl_parser.rb'
-require 'test/unit'
+require File.dirname(__FILE__) + '/test_helper.rb'
 
 class ShellADLValidatorTest < Test::Unit::TestCase
@@ -7,19 +6,19 @@
   end
 
-  def test_init
+  must "assert application validator instance" do
     assert_instance_of ::OpenEHR::Application::ADLValidator,@adl_validator
   end
 
-  def test_run
+
+  must "validating openEHR-EHR-CLUSTER.exam-nervous_system.v1 using File.open not raised" do
     assert_nothing_raised do
-      adl_file = File.open('test/adl/openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl')
+      adl_file = File.open("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl")
       @adl_validator.run(adl_file)
     end
+  end
+
+  must "validating openEHR-EHR-CLUSTER.exam-nervous_system.v1 using File.read not raised" do
     assert_nothing_raised do
-      adl_string = File.open('test/adl/openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl')
-      @adl_validator.run(adl_string)
-    end
-    assert_nothing_raised do
-      adl_string = File.read('test/adl/openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl')
+      adl_string = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl")
       stringio = StringIO.new(adl_string)
       @adl_validator.run(stringio)
Index: ruby/trunk/lib/adl_parser/test/test_helper.rb
===================================================================
--- ruby/trunk/lib/adl_parser/test/test_helper.rb	(revision 258)
+++ ruby/trunk/lib/adl_parser/test/test_helper.rb	(revision 261)
@@ -5,6 +5,24 @@
 require "rubygems"
 require 'adl_parser.rb'
+require 'adl_scanner.rb'
 require 'rm.rb'
 require 'am.rb'
 
 
+# c.f. "Ruby Best Practice",p.75
+module Test::Unit
+  class TestCase
+    def self.must(name, &block)
+      test_name = "test_#{name.gsub(/\s+/,'_')}".to_sym
+      defined = instance_method(test_name) rescue false
+      raise "#{test_name} is already defined in #{self}" if defined
+      if block_given?
+        define_method(test_name, &block)
+      else
+        define_method(test_name) do
+          flunk "No implementation provided for #{name}"
+        end
+      end
+    end
+  end
+end
Index: ruby/trunk/lib/adl_parser/test/validator_test.rb
===================================================================
--- ruby/trunk/lib/adl_parser/test/validator_test.rb	(revision 258)
+++ ruby/trunk/lib/adl_parser/test/validator_test.rb	(revision 261)
@@ -1,4 +1,4 @@
-require 'lib/adl_parser.rb'
-require 'test/unit'
+require File.dirname(__FILE__) + '/test_helper.rb'
+
 
 class ADLValidatorTest < Test::Unit::TestCase
@@ -7,19 +7,17 @@
   end
 
-  def test_init
+  must "assert adl validator instance" do
     assert_instance_of ::OpenEHR::ADL::Validator,@validator
   end
 
-  def test_validate
-    exam_nervous_system = File.read('test/adl/openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl')
+  must "assert validation openEHR-EHR-CLUSTER.exam-nervous_system.v1" do
+    exam_nervous_system = File.read("#{TEST_ROOT_DIR}/adl/openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl")
     assert_nothing_raised do
-      @validator.validate(exam_nervous_system, 'openEHR-EHR-CLUSTER.exam-nervous_system.v1.adl')
+      @validator.validate(exam_nervous_system, 'openEHR-EHR-CLUSTER.exam-nervous_system.v1')
     end
-
+  end
 #     exam_uterine_cervix = File.read('tests/openEHR-EHR-CLUSTER.exam-uterine_cervix.v1.adl')
 # #    assert_raise(Racc::ParseError) do
 #    @validator.validate(exam_uterine_cervix, 'openEHR-EHR-CLUSTER.exam-uterine_cervix.v1.adl')
 # #    end
-
-  end
 end
